cabal-version: 1.12

-- This file has been generated from package.yaml by hpack version 0.35.0.
--
-- see: https://github.com/sol/hpack

name:           blocks-3d
version:        0.1.0.0
author:         David Simmons-Duffin
maintainer:     davidsd@gmail.com
license:        MIT
license-file:   LICENSE
build-type:     Simple

library
  exposed-modules:
      Blocks.Blocks3d
      Blocks.Blocks3d.Get
      Blocks.Blocks3d.ReadTable
      Blocks.Blocks3d.Stress
      Blocks.Blocks3d.StressDict
      Blocks.Blocks3d.Types
      Blocks.Blocks3d.WriteTable
  other-modules:
      Paths_blocks_3d
  hs-source-dirs:
      src
  ghc-options: -Wall -Wcompat -Wincomplete-record-updates -Wincomplete-uni-patterns -Wredundant-constraints -O2 -Wunused-packages
  extra-libraries:
      mpfr
  build-depends:
      aeson
    , base
    , binary
    , binaryhash
    , blocks-core
    , bootstrap-bounds
    , bootstrap-build
    , bootstrap-math
    , containers
    , filepath
    , hyperion-static
    , matrix
    , multiset
    , process
    , reflection
    , scalar-blocks
    , tagged
    , text
    , vector
  default-language: Haskell2010
